<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes"/>
    <xsl:template match="/">
                       ReQuest™ for Websphere® MQ
Event Report

Report Criteria
  Report Time    <xsl:value-of select="EventReport/ReportCriteria/ReportTime"/>
  Start Time     <xsl:value-of select="EventReport/ReportCriteria/StartTime"/>
  End Time       <xsl:value-of select="EventReport/ReportCriteria/EndTime"/>
      <xsl:for-each select="EventReport/ReportCriteria/QMgr">
  Queue Manager  <xsl:value-of select="Name"/>
  Agent          <xsl:value-of select=".//AgentName"/>
      </xsl:for-each>

Events<xsl:for-each select="EventReport/Item">
  Time             <xsl:value-of select=".//Time"/> 
    Source QMgr    <xsl:value-of select=".//SourceQM"/> 
    Target QMgr    <xsl:value-of select=".//TargetQM"/> 
    Event          <xsl:value-of select=".//Text"/>   
      </xsl:for-each>

                   Copyright © 2009 Cressida Technology Ltd
    </xsl:template>
</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios/><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->